{
  "id": "099998cc5e5cb8f5c2c54c91",
  "source": "http",
  "type": "go-type",
  "title": "http.type Dir ¶",
  "content": "# type http.type Dir ¶\n\n```\ntype Dir string\n```\n\nA Dir implements FileSystem using the native file system restricted to a\nspecific directory tree.",
  "url": "https://pkg.go.dev/http#type Dir ¶",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/net/http",
    "kind": "type",
    "method_count": 0,
    "package": "http",
    "symbol": "type Dir ¶",
    "type_kind": "alias",
    "underlying": "type Dir string"
  },
  "hash": "b97ba93d147e68dd3f4d62bc88eaa49a896838d1eccf5de6645f4fc11f8a7022",
  "timestamp": "2026-02-19T12:17:17.237609828+01:00"
}